## node-basic-auth 2.0.1

=== debian/changelog ===
node-basic-auth (2.0.1-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-basic-auth: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable)

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed.
  * Replace /releases by /tags in GitHub urls

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 11:25:50 +0100

node-basic-auth (2.0.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)

  [ Yadd ]
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop nodejs dependency

 -- Yadd <yadd@debian.org>  Sun, 28 Nov 2021 17:03:46 +0100

node-basic-auth (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Jul 2020 23:12:58 -0400

node-basic-auth (2.0.1-1) unstable; urgency=low

  * Initial release (Closes: #958159)

 -- Harley Swick <fancycade@protonmail.com>  Sun, 19 Apr 2020 01:59:07 -0500
